<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class COASeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('chart_accounts')->insert([
            [
                'account_code' => '001',
                'account_name' => 'Salary',
                'account_nature' => 'Expense',
                'account_type' => 'Current',
                'expense_type' => 'Store Expense',
                'status' => 'Active',
            ],
            [
                'account_code' => '002',
                'account_name' => 'Cash in hand',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '003',
                'account_name' => 'Inventory',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '004',
                'account_name' => 'Accounts receivable',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '005',
                'account_name' => 'Accounts payable',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0006',
                'account_name' => 'Telephone Expense',
                'account_nature' => 'Expense',
                'account_type' => 'Current',
                'expense_type' => 'Store Expense',
                'status' => 'Active',
            ],
            [
                'account_code' => '0007',
                'account_name' => 'Sales',
                'account_nature' => 'Revenue',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '008',
                'account_name' => 'Cash at bank',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '009',
                'account_name' => 'CSGT',
                'account_nature' => 'Liability',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '010',
                'account_name' => 'SGST',
                'account_nature' => 'Liability',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '011',
                'account_name' => 'IGST',
                'account_nature' => 'Liability',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0010',
                'account_name' => 'Long term marketable securities',
                'account_nature' => 'Assets',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0011',
                'account_name' => 'Land & Building',
                'account_nature' => 'Assets',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0012',
                'account_name' => 'Machinery',
                'account_nature' => 'Assets',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0013',
                'account_name' => 'Vehicles',
                'account_nature' => 'Assets',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0014',
                'account_name' => 'Office Equipment',
                'account_nature' => 'Assets',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0015',
                'account_name' => 'Office Equipment',
                'account_nature' => 'Assets',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0016',
                'account_name' => 'Intellectual property',
                'account_nature' => 'Assets',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0017',
                'account_name' => 'Copyrights',
                'account_nature' => 'Assets',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0018',
                'account_name' => 'Other long term assets',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0019',
                'account_name' => 'Cash in Transit',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0020',
                'account_name' => 'Petty Cash',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0021',
                'account_name' => 'Short term marketable securities',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0022',
                'account_name' => 'Inventory of Finished Goods',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0023',
                'account_name' => 'Inventory of Work in Progress',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0024',
                'account_name' => 'Prepaid Expenses',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0025',
                'account_name' => 'Other current assets',
                'account_nature' => 'Assets',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0026',
                'account_name' => 'Notes payable',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0027',
                'account_name' => 'Wages and Salaries Payable',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0028',
                'account_name' => 'Employee Annual leave balance',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0029',
                'account_name' => 'Benefits and Entitlement payable',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0030',
                'account_name' => 'Dividends payable',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active'
            ],
            [
                'account_code' => '0031',
                'account_name' => 'Income Tax payable',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0032',
                'account_name' => 'Prepaid Income',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0033',
                'account_name' => 'Employee Pension Payable',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0034',
                'account_name' => 'Corporate Tax payable',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0035',
                'account_name' => 'Other current liabilities',
                'account_nature' => 'Liability',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0036',
                'account_name' => 'Mortgages',
                'account_nature' => 'Liability',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0037',
                'account_name' => 'Bonds',
                'account_nature' => 'Liability',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0038',
                'account_name' => 'Long-term Loans',
                'account_nature' => 'Liability',
                'account_type' => 'Non-Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0039',
                'account_name' => 'Retained earnings',
                'account_nature' => 'Equity',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0040',
                'account_name' => 'Owners Equity',
                'account_nature' => 'Equity',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0041',
                'account_name' => 'Share Capital',
                'account_nature' => 'Equity',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0042',
                'account_name' => 'Convertibles',
                'account_nature' => 'Equity',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0043',
                'account_name' => 'Preference Shares',
                'account_nature' => 'Equity',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0044',
                'account_name' => 'Sale of Finished Products',
                'account_nature' => 'Revenue',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0045',
                'account_name' => 'Sale of Work-in-Progress',
                'account_nature' => 'Revenue',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0046',
                'account_name' => 'Sales Revenue',
                'account_nature' => 'Revenue',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0047',
                'account_name' => 'Discount Received',
                'account_nature' => 'Revenue',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0048',
                'account_name' => 'Service Income',
                'account_nature' => 'Revenue',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0049',
                'account_name' => 'Project Income',
                'account_nature' => 'Revenue',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0050',
                'account_name' => 'General Income',
                'account_nature' => 'Revenue',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0051',
                'account_name' => 'Other Incomes',
                'account_nature' => 'Revenue',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0052',
                'account_name' => 'Direct Materials',
                'account_nature' => 'Expense',
                'account_type' => 'Current',
                'expense_type' => 'Store Expense',
                'status' => 'Active',
            ],
            [
                'account_code' => '0053',
                'account_name' => 'Direct Labour',
                'account_nature' => 'Expense',
                'account_type' => 'Current',
                'expense_type' => 'Store Expense',
                'status' => 'Active',
            ],
            [
                'account_code' => '0054',
                'account_name' => 'Cost of Goods',
                'account_nature' => 'Expense',
                'account_type' => 'Current',
                'expense_type' => 'None',
                'status' => 'Active',
            ],
            [
                'account_code' => '0055',
                'account_name' => 'Bank Sms Charges',
                'account_nature' => 'Expense',
                'account_type' => 'Current',
                'expense_type' => 'Bank Expense',
                'status' => 'Active',
            ]

        ]);
    }
}
